// pages/change/change.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
        name:'麻辣烫重麻重辣',
        price:'￥5.00',
        message:'麻辣烫中麻中辣',
        maxTextLen: 15,
        textLen:7,
  },
  getIntroduce(e){
    let page = this;
    //设置最大字符串长度（为-1时，则不限制）
    let maxTextLen = page.data.maxTextLen;
    //文本长度
    let textLen = e.detail.value.length;

    page.setData({
      maxTextLen : maxTextLen,
      textLen: textLen
    });
  },
  getTitle(e){
    let page = this;
    //设置最大字符串长度（为-1时，则不限制）
    let maxTitleLen = page.data.maxTitleLen;
    //文本长度
    let textLen = e.detail.value.length;

    page.setData({
      maxTitleLen : maxTitleLen,
      textLen: textLen
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})